mchar_get_prop(3m17n)

NAME
mchar_get_prop - Get the value of a character property.

SYNOPSIS
void* mchar_get_prop (int c, MSymbol key)

DESCRIPTION
Get the value of a character property.

The mchar_get_prop() function searches character c for the character property whose key is key.

RETURN VALUE

    If the operation was successful, mchar_get_prop() returns the value of the character property. Otherwise it returns NULL.

ERRORS

    MERROR_SYMBOL, MERROR_DB

SEE ALSO

    mchar_define_property(), mchar_put_prop()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.